Skip to main content
Use this endpoint to connect over WebSockets to the deployment associated with the specified environment. entity is model or chain, depending on whether you call a Baseten model or a Chain.
wss://{entity}-{entity_id}.api.baseten.co/environments/{env_name}/websocket
See WebSockets for more details.

Parameters

entity
string
required
The type of entity you want to connect to. Either model or chain.
entity_id
string
required
The ID of the model or chain you want to connect to.
env_name
string
required
The name of the environment you want to connect to.
Authorization
string
required
Your Baseten API key, passed as Authorization: Bearer $BASETEN_API_KEY. Api-Key is also accepted as the scheme.
websocat -H 'Authorization: Bearer EMPTY' \
    wss://{entity}-{model_id}.api.baseten.co/environments/{env_name}/websocket